Linux Driver for Canon P-150

If you try to build the driver you might get the following error message:

The problem is the documentation (does anyone read it?) so you can just disable building it. Open the make file and change line 40 from

to

Evince PDF Document not supported

Sometimes after an update you might get the error “PDF Document not supported” in Evince. To see what exactly the problem is you should start it up using the command line (p. x. evince ‘/test.pdf’). In my case I got the following message:

The solution is quite easy. The thing that is broke is the backend. In the particular case of evince this is poppler. So after you reinstall poppler everything should work again.